<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 6</title>

	<script type="text/javascript">
		let letras =["T","R","W","A","G","M","Y","F","P","D","X","B","N","J","Z","S","Q","V","H","L","C","K","E","T"];
		let numDni = Number(prompt("Introduce numero de dni"));
		let letDni = prompt("Introduce letra de dni");
		let compLetra = "";

		if (numDni < 0 || numDni > 99999999 ) {
			document.write("El número indicado que el número proporcionado no es válido")
		}
		else{
			compLetra = numDni % 23;
			if (letras[compLetra] != letDni) {
				document.write("La letra  indicada no es correcta");
			}
			else{
				document.write("La letra  indicada es correcta");	
			}
		}

	</script>
</head>
<body>
	
</body>
</html>